Show / Hide Table of Contents

# Class ProxyAuthorizationException

Proxy authorization exception.

##### Inheritance

Object
Exception
ProxyException
ProxyAuthorizationException

##### Implements

ISerializable

##### Inherited Members

Exception.GetBaseException()
Exception.GetObjectData(SerializationInfo, StreamingContext)
Exception.GetType()
Exception.ToString()
Exception.Data
Exception.HelpLink
Exception.HResult
Exception.InnerException
Exception.Message
Exception.Source
Exception.StackTrace
Exception.TargetSite
Exception.SerializeObjectState
Object.Equals(Object)
Object.Equals(Object, Object)
Object.GetHashCode()
Object.MemberwiseClone()
Object.ReferenceEquals(Object, Object)

###### Namespace: Titanium.Web.Proxy.Exceptions

###### Assembly: Titanium.Web.Proxy.dll

##### Syntax

    public class ProxyAuthorizationException : ProxyException, ISerializable

### Properties

| Improve this Doc View Source

#### Headers

Headers associated with the authorization exception.

##### Declaration

    public IEnumerable<HttpHeader> Headers { get; }

##### Property Value

Type | Description
--- | ---
IEnumerable<HttpHeader> |

| Improve this Doc View Source

#### Session

The current session within which this error happened.

##### Declaration

    public SessionEventArgsBase Session { get; }

##### Property Value

Type | Description
--- | ---
SessionEventArgsBase |

### Implements

System.Runtime.Serialization.ISerializable